Kinglerb

Registered
Dec 27, 2018
2
0
1
New York State
cPanel Access Level
Root Administrator
I'm having a similar problem upgrading Mysql. I getting the following error and I don't know how to fix it.

Here is the error I'm getting when I try to upgrade.
Code:
The system was not able to ensure the availability of the “coreutils” package: (XID n49epg) “/usr/bin/yum” reported error code “1” when it ended: Traceback (most recent call last):
File "/usr/bin/yum", line 29, in <module>
yummain.user_main(sys.argv[1:], exit_code=True)
File "/usr/share/yum-cli/yummain.py", line 298, in user_main
errcode = main(args)
File "/usr/share/yum-cli/yummain.py", line 146, in main
result, resultmsgs = base.doCommands()
File "/usr/share/yum-cli/cli.py", line 440, in doCommands
return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
File "/usr/share/yum-cli/yumcommands.py", line 309, in doCommand
ypl = base.returnPkgLists(extcmds, installed_available=highlight)
File "/usr/share/yum-cli/cli.py", line 998, in returnPkgLists
ignore_case=True)
File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2418, in doPackageLists
avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 907, in <lambda>
pkgSack = property(fget=lambda self: self._getSacks(),
File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 687, in _getSacks
self.repos.populateSack(which=repos)
File "/usr/lib/python2.6/site-packages/yum/repos.py", line 324, in populateSack
sack.populate(repo, mdtype, callback, cacheonly)
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 165, in populate
if self._check_db_version(repo, mydbtype):
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 223, in _check_db_version
return repo._check_db_version(mdtype)
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1263, in _check_db_version
repoXML = self.repoXML
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1462, in <lambda>
repoXML = property(fget=lambda self: self._getRepoXML(),
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1454, in _getRepoXML
self._loadRepoXML(text=self)
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1444, in _loadRepoXML
return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1419, in _groupLoadRepoXML
if self._commonLoadRepoXML(text):
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1237, in _commonLoadRepoXML
result = self._getFileRepoXML(local, text)
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1015, in _getFileRepoXML
size=102400) # setting max size as 100K
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 836, in _getFile
size=size
File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 408, in urlgrab
return self._mirror_try(func, url, kw)
File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 394, in _mirror_try
return func_ref( *(fullurl,), **kwargs )
File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 993, in urlgrab
return self._retry(opts, retryfunc, url, filename)
File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 894, in _retry
r = apply(func, (opts,) + args, {})
File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 988, in retryfunc
apply(cb_func, (obj, )+cb_args, cb_kwargs)
File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1492, in _checkRepoXML
self.gpg_import_func(self, self.confirm_func)
File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 4960, in getKeyForRepo
self._getAnyKeyForRepo(repo, repo.gpgdir, repo.gpgkey, is_cakey=False, callback=callback)
File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 4881, in _getAnyKeyForRepo
if hex(int(info['keyid']))[2:-1].upper() in misc.return_keyids_from_pubring(destdir):
File "/usr/lib/python2.6/site-packages/yum/misc.py", line 559, in return_keyids_from_pubring
for k in ctx.keylist():
gpgme.GpgmeError: (7, 150, u'Invalid crypto engine')
Sys Specs:
Server: Linux / Centos 6.10
 
Last edited by a moderator: